-- 错误码 和前端共享

local code = {
    OK = 200, --成功
    UNKNOWN = 400, --未知
    REQUEST_NOT_FOUND = 404, --不支持此请求
    REPLACE_LOGIN = 497, -- 被顶号
    LOGINING = 498, -- 正在登录状态
    NOT_REPEAT_LOGIN = 499, -- 自己顶自己，即重复登录
    TOKEN_AUTH_FAIL = 500, --TOKEN验证失败
    TOKEN_TIMEOUT = 501, --TOKEN超时失效
    PARAMTER_ERROR = 502, --参数错误
    CHANNEL_SHIELD = 503, -- 渠道屏蔽
    VERSION_SHIELD = 504, -- 版本屏蔽
    ACTIVITY_SHIELD = 505, -- 活动屏蔽
    INNER_SERVER_ERROR = 506, -- 服务端内部未知错误
    NOT_FOUND_SERVER = 507, -- 没有找到服务器
    NOT_GRAY_TEST_USER = 508, -- 不是灰度测试用户
    APP_VERSION_LOWER = 509, -- app版本过低
    CONFIG_ERROR = 600, -- 配置错误
    LEVEL_IS_MAX = 601, -- 升级到达上限
    KICK = 602, -- 踢人
    BANNED = 603, -- 禁言
    USR = {
        SIGN_PRIZE_NOT_FOUND = 2001, --救济领取完了
        ALREADY_SIGN = 2002, --已经签到了
        ALREADY_GET_TASK_AWARD = 2003, --已经获取了任务奖励
        LOGIN_PASSWORD_ERROR = 2004, --密码错误
        TASK_NOT_FINISH = 2005, --任务未完成
        ACHIEVEMENT_NOT_FINISH = 2006, --成就未完成
        ALREADY_GET_ACHIEVEMENT_AWARD = 2007, -- 已经领取了成就奖励
        LACK_OF_DIAMOND = 2008, -- 钻石不足
        FORCE_OUT = 2009, -- 账号被封杀！
        ALREADY_REGISTER = 2010, -- 已经注册了的用户
        EXCHANGE_CODE_USED = 2011, -- 兑换码已经使用了
        QUESTION_ALREAY_SUBMIT = 2012, -- 问卷调查已经提交过
        WEB_ACTIVITY_GET_AWARD_FAIL = 2013, -- WEB活动领取奖励失败
        MSG_ALREADY_GET_AWARD = 2014, -- 系统消息奖励已领取
        EXCHANGE_CODE_FAIL = 2015, -- 兑换码错误
        EXCHANGE_ALRAEDY_EXCHANGE = 2016, -- 您已经兑换过该礼包
        EXCHANGE_CODE_TIMEOUT = 2017, -- 兑换码过期
        NOT_EXIST_USER = 2018, -- 不存在此用户
        ALREADY_GET_SHARED_AWARD = 2019, -- 今天已经领取过分享奖励
        MY_FRIEND_CMT_LIMIT = 2020, -- 我的好友数量限制
        FRIEND_CMT_LIMIT = 2021, -- 对方好友数量限制
        FRIEND_APPLY_LIMIT = 2022, -- 对方的好友申请已经达到上限
        NOT_OPPO_MOVE_AWARD = 2023, -- 没有获取领取oppo迁移奖励的机会
        HAS_GET_OPPO_MOVE_AWARD = 2024, -- 已经领取oppo迁移奖励
        OPPO_MOVE_NOT_SUPPORT_CHANNEL = 2025, -- 迁移奖励不支持该渠道
        RED_CODE_NOT_EXISTS = 2026, -- 红包码不存在
        NOT_BIND_WX = 2027, -- 还没有绑定微信
        RED_NOT_ENOUGH = 2028, -- 红包余额不足
        RED_ID_EXISTS = 2029, -- 提现流水号已经存在
        RED_ID_NOT_EXISTS = 2030, -- 提现流水号不存在
        HAS_BIND_WX = 2031, -- 已经绑定微信
        COUPON_NOT_EXISTS = 2032, -- 抵用卷不存在
        COUPON_USING = 2033, -- 抵用卷已经被使用
        COUPON_ORDER_ERROR = 2034, -- 抵用卷解锁订单号不匹配
        VIP_PACKAGE_ALREADY_GET_AWARD = 2035, -- 奖励物品已领取
        VIP_PACKAGE_LEVEL_LIMIT = 2036, -- 等级不足
        VIP_PACKAGE_ITEMS_NOT_FOUND = 2037, -- 奖励物品未配置
        ALREADY_GET_AWARD = 2038, -- 已经领取奖励
        TASK_NOT_DATA = 2039, -- 无任务配置
        ACCOUNT_CANCEL = 2040 -- 账号注销
    },
    ACTIVITY = {
        NOT_FOUND_DATA = 6001, -- 没有活动配置
        NOT_MORE_TIMES = 6002, -- 机会已用完
        TIME_OUT = 6003, -- 活动结束
        ITEMS_NOT_FOUND = 6004, -- 奖励物品未配置
        AWARD_STATUS_ERROR = 6005, -- 领取奖励状态错误
        RECHARGE_NO_ENOUGH = 6006 -- 充值金额不够
    },
    BAG_ITEM_NOT_ENOUGH = 3001, --物品不够
    BAG_ITEM_NOT_EXIST = 3004, -- 道具不存在
    BAG_GRID_NOT_ENOUGH = 3002, -- 背包格子不足
    MAIL_NOT_FOUND = 4001, -- 邮件不存在
    MAIL_NOT_ITEMS = 4002, -- 邮件中没有道具
    MAIL_HAD_GET = 4003, -- 邮件道具已领取
    -- 商店
    SHOP_NOT_FIND_FUNC = 4100, -- 找不到模块方法（服务器错误）
    SHOP_NOT_FIND_SHOP = 4101, -- 找不到模块ID（服务器错误）
    SHOP_NOT_FIND_SHOP_MODULE = 4102, -- 找不到模块（服务器错误）
    SHOP_PROGRESS_NOT_ENOUGH = 4103, -- 进度不满足
    SHOP_GOODS_HAD_BUY = 4104, -- 商品已经购买
    SHOP_GOODS_NOT_EXIST = 4105, -- 商品不存在
    SHOP_GOODS_SELL_OUT = 4106, -- 商品已售罄
    SHOP_REFRESH_COUNT_NOT_ENOUGH = 4107, -- 刷新次数不足
    SHOP = {
        NO_FOUND_ORDER = 4200, --没有发现此订单
        ALREADY_GET_ORDER = 4200 --已经查询过了此订单
    },
    -- 广告
    ADVERTISEMENT = {
        UNFOUNT_POSITION_LIST = 5400, -- 没有广告展示位置配置
        AWARD_TIMES_LIMIT = 5401, -- 无广告领取奖励次数
        AWARD_ALREADY = 5402, -- 奖励已领取
        AWARD_TIMES_NOT_ENOUGHT = 5403, -- 领取奖励次数不足
        AWARD_UNFOUNT = 5404 -- 无奖励配置
    },
    RANK_TIME_NOT_ENOUGH = 6000, -- 排行榜拉取时间间隔不足
    CARD = {
        NOT_FOUND = 7001, -- 没有卡牌
        NOT_VALID = 7002, -- 无效卡牌
        NOT_ENOUGH = 7003, -- 碎片不足
        MAX_USE_CARD = 7004, -- 最大出战卡组
        IS_USING = 7004, -- 正在出战中
        NOT_USING = 7005, -- 没有出战
        NOT_SAME_COLOR = 7006, -- 不是同一种颜色
        OVER_MAX_LV = 7007 -- 超过最高等级
    },
    -- 宝箱
    CHEST_NOT_FOUND = 7100, -- 找不到该宝箱
    CHEST_STATUS_ERROR = 7101, -- 宝箱状态错误
    CHEST_NOT_EMPTY = 7102, -- 没有空余位置
    CHEST_OVER_UNLOCK = 7103, -- 正在解锁中
    CHEST_CONFIG_ERROR = 7104, -- 宝箱配置错误
    CHEST_OVER_LINEUP = 7105, -- 真正排队中
    CHEST_KEY_NOT_ENOUGH = 7110, -- 宝箱钥匙不足
    CHEST_KEY_NO_POS = 7111, -- 宝箱钥匙位置不存在
    CHEST_KEY_IS_OPEN = 7112, -- 宝箱钥匙位置已经打开
    -- 任务
    TASK_NOT_FOUND = 7200, -- 任务不存在
    TASK_STATUS_ERROR = 7201, -- 任务状态错误
    TASK_CONFIG_ERROR = 7202, -- 任务配置错误
    TASK_CHEST_HAD_OPEN = 7203, -- 任务宝箱已开启
    TASK_NEED_RECEIVE = 7204, -- 还有任务需要领取
    TASK_REFRESH_ERROR = 7205, -- 刷新错误
    TASK_NOT_CHANGE_COUNT = 7206, -- 任务变换次数不足
    TASK_REFRESH_CAN_AUTO = 7207, -- 可以自动刷新
    TASK_REFRESH_LIMIT = 7208, -- 今天的刷新次数已达上限
    -- 赛季通行证
    SEASON_CONFIG_ERROR = 7301, -- 通行证配置错误
    SEASON_TIME_ERROR = 7302, -- 通行证时间错误
    SEASON_DAYS_ERROR = 7303, -- 解锁天数没到
    SEASON_VIP_ERROR = 7304, -- 没有赛季通行证
    SEASON_COMPLETE_ERROR = 7305, -- 没有完成任务
    SEASON_LAST_ERROR = 7306, -- 请领取上一个奖励
    -- 礼包
    GIFT_CONFIG_ERROR = 7400, -- 礼包配置错误
    GIFT_STATUS_ERROR = 7401, -- 礼包状态错误
    GIFT_TIME_ERROR = 7402, -- 礼包购买截止时间错过
    GIFT_OVER_BUY_TIMES = 7403, -- 礼包超过可购买次数
    GIFT_REPEAT_TIMES = 7404, -- 礼包超过可触发次数
    GIFT_NOT_WORK = 7405, -- 礼包尚未实现
    GIFT_COUNT_LIMIT = 7406, -- 礼包触发列表到达上限
    -- 相册
    ALBUM_NOT_GET = 7500, -- 未获取头像
    ALBUM_ALREADY_GET = 7501, -- 已经获取头像
    ALBUM_FORBID_BUY = 7502, -- 不能购买的头像
    ALBUM_NOT_EXIST = 7503, -- 头像不存在
    -- 竞技场积分奖励
    CUP_FORBID_GET = 7600, -- 奖励不能领取
    CUP_ALREADY_GET = 7601, -- 奖励已领取
    -- 神秘小车
    MYSTICAL_REWARD_NOT_GET = 7700, -- 有奖励未领取
    MYSTICAL_TIME_NOT_ENOUGH = 7701, -- 刷新时间未到
    MYSTERIOUS_NOT_CAN_GET = 7702, -- 奖励不可领取
    MYSTERIOUS_CAN_GET = 7703, -- 奖励可领取
    MYSTERIOUS_ALREADY_GET = 7704, -- 奖励已领取
    MYSTERIOUS_NEED_WAIT = 7705, -- 奖励已领取，但时间未到
    -- 荣耀之路
    HONOR_ALREAD_UNLOCK = 7800, -- 已经解锁
    HONOR_NOT_UNLOCK = 7801, -- 未解锁
    HONOR_LOSE_NOT_ENOUGH = 7802, -- 失败次数不足
    HONOR_LOSE_ENOUGH = 7803, -- 失败次数已到上限
    HONOR_WIN_ENOUGH = 7804, -- 胜利次数已到上限
    HONOR_NOT_MORE_TIMES = 7805, -- 当天次数限制
    -- 奖励状态
    REWARD_FORBID_GET = 7900, -- 奖励不能领取
    REWARD_ALREADY_GET = 7901, -- 奖励已领取
    -- 签到
    SIGN_DAY_NOT_ENOUGH = 8000, -- 签到天数不足
    SIGN_REWARD_ALREADY_GET = 8001, -- 签到奖励已领取
    -- 累计充值
    PAY_TOTAL_NOT_ENOUGH = 8100, -- 累计充值金额不足
    PAY_TOTAL_ALREADY_GET = 8101, -- 累计充值奖励已领取
    -- 好友
    FRIEND = {
        COUNT_LIMIT = 8200, -- 好友数量上限
        FRIEND_IN_LIST = 8201, -- 已添加好友
        FRIEND_NOT_IN_LIST = 8202, -- 未成为好友
        APPEND_COUNT_LIMIT = 8203, -- 申请好友数量限制
        APPEND_IN_LIST = 8204, -- 已在申请列表
        APPEND_NOT_IN_LIST = 8205, -- 为申请好友
        DAY_DELETE_COUNT_LIMIT = 8206, -- 每日删除好友上限
        GIVE_NOT_FRIEND = 8207, -- 非好友赠送
        GIVE_ALREADY = 8208, -- 已赠送
        GIVED_ALREADY = 8209, -- 已接收赠送
        BLACK_IN_LIST = 8210, -- 黑名单
        BLACK_NOT_IN_LIST = 8211, -- 不在黑名单
        PLAYER_COUNT_LIMIT = 8212 -- 对方好友数量上限
    },
    -- 新神巡狩
    HUNT_TASK_NOT_FINISH = 8300, -- 任务未完成
    HUNT_TASK_REWARD_ALREADY_GET = 8301, -- 任务奖励已经领取
    HUNT_RATE_NOT_FINISH = 8302, -- 积分不足
    HUNT_RATE_REWARD_ALREADY_GET = 8303, -- 积分奖励已经领取
    -- 对战
    BATTLE = {
        IN_BATTLE = 8400, -- 有开始战斗
        OFFLINE = 8401, -- 离线
        MATCHING = 8402, -- 匹配中
        FREE = 8403, -- 空闲
        MAX_APPEND = 8404 -- 挑战队列已满
    },
    -- 委派
    FRIEND_LIST_IS_EMPTY = 8500, -- 没有好友
    APPOINT_STATUS_INIT = 8501, -- 未委派
    APPOINT_STATUS_RUN = 8502, -- 委派中
    APPOINT_STATUS_FINISH = 8503, -- 已完成
    APPOINT_STATUS_CAN_FINISH = 8504, -- 委派中可完成
    APPOINT_STATUS_NOT_FINISH = 8505, -- 委派中不可完成
    APPOINT_COLOR_ERROR = 8510, -- 颜色不匹配
    APPOINT_TOTAL_ATTACK_NOT_ENOUGH = 8520, -- 总灵力不足
    APPOINT_SINGLE_ATTACK_NOT_ENOUGH = 8521, -- 单卡牌灵力不足
    APPOINT_SPECIFIC_ATTACK_NOT_ENOUGH = 8522, -- 强制卡牌灵力不足
    APPOINT_REFRESH_COUNT_LIMIT = 8523, -- 刷新次数不足
    APPOINT_REPEAT_HERO = 8530, -- 委派英雄重复（同一个任务中）
    APPOINT_REPEAT_HERO_OTHER_POS = 8531, -- 委派英雄重复(出现在其他委派任务中)
    APPOINT_HELP_TOTAL_LIMIT = 8540, -- 支援总次数不足
    APPOINT_HELP_ONE_TASK_LIMIT = 8541, -- 单次委派支援数超过上限
    APPOINT_HELP_SINGLE_LIMIT = 8542, -- 单个玩家支援自己次数达到上限
    APPOINT_HELP_TIME_LIMIT = 8543, -- 支援卡牌冷却中
    APPOINT_TASK_NOT_CAN_REFRESH = 8550, -- 没有可以刷新的任务
    APPOINT_TASK_NO_EVENT = 8560, -- 任务没有事件
    -- 聊天
    CHAT_SEND_COUNT_LIMIT = 8600, -- 每分钟发送条数达到上限
    CHAT_SEND_SAME_COUNT_LIMIT = 8601, -- 每分钟发送相同消息条数达到上限
    CHAT_SEND_TIME_LIMIT = 8602, -- 发送间隔太短
    CHAT_SEND_TYPE_LIMIT = 8603, -- 发送类型未开启
    -- 剧情副本
    STAGE = {
        NO_MORE_TIMES = 8700, -- 次数不足
        LEVEL_LOCK = 8701, -- 等级未解锁
        ERR_PLAYER_INFO = 8702 -- 玩家信息错误
    },
    -- 装备
    EQUIP_LEVEL_LIMIT = 8800, -- 装备等级已达上限
    EQUIP_IS_NOT_EXIST = 8801, -- 装备不存在
    EQUIP_NO_AVAILABLE = 8802, -- 没有可用装备
    EQUIP_NO_CHANGE = 8803, -- 装备没有发生变化
    EQUIP_CANNOT_DECOMPOSE = 8804, -- 装备不可分解
    STUFF_CANNOT_COMPOSE = 8805, -- 装备不可合成
    STUFF_CANNOT_DECOMPOSE = 8806, -- 装备不可分解
    EQUIP_BAG_COUNT_LIMIT = 8807, -- 装备位置不足
    -- 等级
    LEVEL_LOCK = 8900, -- 等级锁定功能上限
    LEVEL_NOT_ENOUGH = 8901, -- 等级不足
    LEVEL_REWARD_ALREADY_GET = 8902, -- 等级奖励已经领取
    -- 抽奖
    LOTTERY_TYPE_CLOSE = 9000, -- 抽奖类型未开放
    LOTTERY_DAILY_COUNT_LIMIT = 9001, -- 每日抽奖次数不足
    -- 榜单挑战
    CHALLENGE_TIME_NO_START = 10000, -- 赛季未开启
    CHALLENGE_TIME_END = 10001, -- 赛季已结束
    CHALLENGE_COUNT_LIMIT = 10002, -- 挑战次数不足
    CHALLENGE_PLAYER_NOT_RANK = 10003, -- 挑战玩家不在排行中
    CHALLENGE_HERO_NOT_ENOUGH = 10004, -- 出战卡牌不足
    CHALLENGE_PALYER_IN_FIGHT = 10005, -- 玩家正在被挑战
    -- vip
    VIP_LEVEL_LIMIT = 11000, -- VIP等级限制
    ------------------- 俱乐部 -------------------
    CREATE_CLUB_FAIL_TAG_REPEAT = 9000, -- 俱乐部创建失败，名字重复
    CREATE_CLUB_FAIL_BRIEF_LEN_LIMIT = 9001, -- 俱乐部创建失败，简介内容长度超出
    CREATE_CLUB_FAIL_NOT_PIC_ID = 9002, -- 俱乐部创建失败，没有头像id
    CREATE_CLUB_FAIL_NOT_LEADER_UID = 9003, -- 俱乐部创建失败，没有指定会长uid
    CREATE_CLUB_FAIL_VIP_LEVEL_LIMIT = 9004, -- 俱乐部创建失败，贵族权限限制
    CLUB_NOT_EXIST = 9005, --俱乐部不存在
    CLUB_MEM_FULL = 9006, --俱乐部人数已满
    CLUB_JOIN_UPPER_LIMIT = 9007, --申请加入的俱乐部数量已达上限
    JOIN_CLUB_FAIL_VIP_LEVEL_LIMIT = 9008, -- 俱乐部加入失败，贵族权限限制
    JOIN_CLUB_MEMBER_ALREAY_IN = 9009, -- 俱乐部加入失败，玩家已经是该俱乐部成员
    DEAL_CLUB_REQUIRE_NOT_DATA = 9010, -- 处理申请失败，申请数据不存在
    RESIGN_CLUB_FAIL_TARGET_VIP_LEVEL_LIMIT = 90011, -- 俱乐部转让失败，被转让成员贵族等级不足
    CLUB_OPT_MEMBER_NOT_EXIST = 90012, --俱乐部操作成员不存在
    CLUB_TARGET_MEMBER_NOT_EXIST = 90013, --俱乐部目标成员不存在
    CLUB_OPT_MEMBER_LEVEL_LIMIT = 90014, --俱乐部操作成员等级限制
    CLUB_TARGET_MEMBER_LEVEL_LIMIT = 90015, --俱乐部目标成员等级限制
    CLUB_TALK_FAIL_VIP_LEVEL_LIMIT = 90016, --俱乐部聊天失败，贵族权限限制
    CLUB_JOIN_DAILY_NUM_LIMIT = 90017, --刚退出俱乐部，需要12小时后才能申请
    -- 好友房
    ROOM = {
        NOT_EXIST = 91000, -- 房间不存在
        DISMISSED = 91001, -- 房间已解散
        -- 创建
        CREATED = 91010, -- 已创建
        CREATE_IN_TABLE = 91011, -- 已进入组局
        CREATE_NULL_CLUB = 91012, -- 未加入俱乐部
        CREATE_TABLE_CONF_ERR = 91013, -- 组局配置不存在
        CREATE_ROUND_ERR = 91014, -- 组局回合数错误
        CREATE_TAG_ERR = 91015, -- 组局不符合规定
        CREATE_VIEWER_COUNT_ERR = 91016, -- 围观人数设置错误
        CREATE_NULL_ID = 91017, -- 未能创建组局ID
        CREATE_BAND_ERR = 91018, --
        -- 进入房间
        ENTER_VIEWER_MAX = 91020, -- 围观人数已达上限
        -- 离开
        LEAVE_BATTLE_START = 91030, -- 已开局，不能离开
        -- 操作
        OPT_PLAYER_NOT_EXIST = 91040, -- 玩家不存在
        OPT_STATUS_ERR = 91041, -- 状态错误
        OPT_HOST_ERR = 91042, -- 非组局者操作
        OPT_NOT_EMPTY_SEAT = 91043, -- 不能坐下，无空位
        OPT_ILLEGAL = 91044, -- 非法操作
        OPT_BATTLE_CARD = 91045, -- 战斗卡错误
        -- 开局
        START_PLAYER_ERR = 91050, -- 开局，玩家数据不匹配
        IN_ROOM_BATTLE = 91051, -- 开局，玩家已进入友谊战流程
        -- band卡
        BAND_NOT_OPT_PLAYER = 91060, -- 被操作玩家不存在组局
        BAND_CARDS_ERR = 91061, -- 操作卡错误
        BAND_CARD_ITERATE = 91062 -- 卡颜色重复
    },
    ------------------- 俱乐部 -------------------

    ------------------- 功勋宝箓 -------------------
    EXPLOIT = {
        NOT_AWARD_ITEM = 92000, -- 宝箓 - 无此奖励
        AWARD_ITEM_UNACTIVE = 92001, -- 宝箓 - 奖励未激活
        AWARD_NOT_MORE = 92003, -- 宝箓 - 无可领取奖励
        VIP_UNACTIVE = 92004, -- 宝箓 - 未激活vip奖励
        BUY_ITEM_UNACTIVE = 92005, -- 宝箓 - 无此奖励
        SEASON_RESET = 92006, -- 宝箓 - 赛季未开始
        TASK_MODE_UNIDENTITY = 92010, -- 任务 - 无此模式任务
        TASK_UNIDENTITY = 92011, -- 任务 - 无此任务
        TASK_NOT_DONE = 92012, -- 任务 - 任务未完成
        TASK_AWARDED = 92013, -- 任务 - 已领取
        TASK_CHANGE_ITEM_AWARD = 92014, -- 任务 - 可领取，不可替换
        TASK_CHANGE_NOT_MORE = 92015 -- 任务 - 没有可更换任务
    },
    ------------------- 功勋宝箓 -------------------
    ------------------- 演武争彩 -------------------
    HONOR = {
        BATTLE_CARDS_ITERATE = 92100, -- 出战卡组 - 卡牌重复
        BATTLE_CARDS_NOT_OWN = 92101, -- 出战卡组 - 未获得卡牌
        BATTLE_CARDS_COLOR = 92102, -- 出战卡组 - 卡牌颜色重复
        BAN_CARD_STATUS = 92103, -- ban卡 - 状态错误
        BAN_CARD_OPERATE_UID = 92104, -- ban卡 - 非操作玩家
        BAN_CARD_TARGET = 92105, -- ban卡 - 对手信息错误
        BAN_CARD_TARGET_CARDS_UNSET = 92106, -- ban卡 - 对手未设置出战卡组
        BAN_CARD_TARGET_CARDS_NOT_OWN = 92107, -- ban卡 - 对手未获得该卡
        BAN_CARD_BANED = 92108, -- ban卡 - 已ban过
        BATTLE_CARD_STATUS = 92109, -- 选择出战卡组 - 状态错误
        BATTLE_CARD_CARDS_UNSET = 92110, -- 选择出战卡组 - 未设置出战卡组
        BATTLE_CARD_CARDS_NOT_OWN = 92111, -- 选择出战卡组 - 未获得该卡
        BATTLE_CARD_BANED = 92112 -- 选择出战卡组 - 卡牌被ban
    },
    ------------------- 演武争彩 -------------------
    ----------------------------------------
    -- 这里是结束（避免上一行加逗号问题）
    THIS_IS_OVER = 100000000
}

function code.is_not_ok(errCode)
    if errCode == nil or errCode ~= code.OK then
        return true
    end
    return false
end

return code
